# module Channel::SelectAction(S)

## Defined in:

## Instance Method Summary

- #create_context_and_wait(state_ptr)
- #execute : S | NotReady
- #lock
- #lock_object_id
- #result : S
- #unlock
- #unwait
- #wait(context : SelectContext(S))

## Instance Method Detail

def create_context_and_wait(state_ptr) #
abstract def execute : S | NotReady #
abstract def lock #
abstract def lock_object_id #
abstract def result : S #
abstract def unlock #
abstract def unwait #
abstract def wait(context : SelectContext(S)) #